// DIB.h: interface for the CDIB class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIB_H__1C7D8957_5A99_4555_B9B1_5FE80A3C39AA__INCLUDED_)
#define AFX_DIB_H__1C7D8957_5A99_4555_B9B1_5FE80A3C39AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDIB  
{
public:
	DWORD	GetImageSize();
	BYTE	*GetImage();

	void	Convert24To16 (char *FileName, BOOL flag);
	void	Convert256To16(char *FileName, BOOL flag);
	
	CDIB( CDIB &r );
	CDIB& operator= ( CDIB &r );
	CDIB( char *FileName = NULL );
	virtual ~CDIB();

	BOOL	Load( char *FileName );
	LONG	GetBytePerLine();
	BYTE	GetPixelByteCount();
	LONG	GetHeight();
	LONG	GetWidth();
	LONG	GetABSHeight();

	HBITMAP CreateBitmap();
	void	RemoveAll();
	void	Convert16( char *FileName, BOOL flag = TRUE );
	void	Convert16( BOOL flag = TRUE);

protected:
	BITMAPINFO		 *m_pBmi;
	BITMAPINFOHEADER *m_pBmih;
	
	BYTE	*m_pImage;    /////////////////////////////////
	DWORD	m_InfoSize;
	DWORD	m_ImgSize;
	BOOL	m_bInstalled;
};

#endif // !defined(AFX_DIB_H__1C7D8957_5A99_4555_B9B1_5FE80A3C39AA__INCLUDED_)
